# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/hrm/cessation/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/hrm/cessation/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Hrm\\Cessation\\": "packages/hrm/cessation/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Hrm\Cessation\Providers\CessationServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Cessation'  => Hrm\Cessation\Facades\Cessation::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Hrm\\CessationTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Hrm\Cessation\Providers\CessationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hrm\Cessation\Providers\CessationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hrm\Cessation\Providers\CessationServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/cessation/{modulename}

**User**

    http://path-to-route-folder/user/cessation/{modulename}

**Public**

    http://path-to-route-folder/cessations


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/cessation/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/cessation/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/cessation/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/cessation/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/cessation/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/cessation/{modulename}/{slug}
    METHOD: GET