Lavalite package that provides cessation management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `hrm/cessation`.

    "hrm/cessation": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Hrm\Cessation\Providers\CessationServiceProvider::class,

And also add it to alias

    'Cessation'  => Hrm\Cessation\Facades\Cessation::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Hrm\\CessationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Hrm\Cessation\Providers\CessationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hrm\Cessation\Providers\CessationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hrm\Cessation\Providers\CessationServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/cessation/{modulename}

**User**

    http://path-to-route-folder/user/cessation/{modulename}

**Public**

    http://path-to-route-folder/cessations


### API endpoints

**List**

    http://path-to-route-folder/api/user/cessation/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/cessation/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/cessation/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/cessation/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/cessation/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/cessation/{modulename}/{slug}
    METHOD: GET