<?php

namespace Hrm\Cessation;

use User;

class Cessation
{
    /**
     * $cessation object.
     */
    protected $cessation;

    /**
     * Constructor.
     */
    public function __construct(\Hrm\Cessation\Interfaces\CessationRepositoryInterface $cessation)
    {
        $this->cessation = $cessation;
    }

    /**
     * Returns count of cessation.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.cessation.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->cessation->pushCriteria(new \Litepie\Hrm\Repositories\Criteria\CessationUserCriteria());
        }

        $cessation = $this->cessation->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('cessation::' . $view, compact('cessation'))->render();
    }
}
