<?php

namespace Hrm\Cessation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CessationTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Cessation\Models\Cessation $cessation)
    {
        return [
            'id'                => $cessation->getRouteKey(),
            'key'               => [
                'public'    => $cessation->getPublicKey(),
                'route'     => $cessation->getRouteKey(),
            ], 
            'company_id'        => $cessation->company_id,
            'department_id'     => $cessation->department_id,
            'gang_id'           => $cessation->gang_id,
            'employees'         => $cessation->employees,
            'company_type'      => $cessation->company_type,
            'user_id'           => $cessation->user_id,
            'user_type'         => $cessation->user_type,
            'deleted_at'        => $cessation->deleted_at,
            'url'               => [
                'public'    => trans_url('cessation/'.$cessation->getPublicKey()),
                'user'      => guard_url('cessation/cessation/'.$cessation->getRouteKey()),
            ], 
            'status'            => trans('app.'.$cessation->status),
            'created_at'        => format_date($cessation->created_at),
            'updated_at'        => format_date($cessation->updated_at),
        ];
    }
}